<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<title>CSS Common Styling Properties</title>

	<link rel="stylesheet" type="text/css" href="./index.css">

</head>
<body>
	<!-- DISPLAY PROPERTY -->
	<!-- block, inline, inline-block, none -->

	<h2>DISPLAY</h2>
	<h4>DISPLAY: Inline vs Block</h4>

	<!-- You can change the default display property of elements through display property in CSS -->
	<!-- <div>BLOCK</div> -->
	<div id="div-3">A div can be displayed as inline</div>
	<div id="div-4">A div can be displayed as inline</div>

	<!-- You can change the default display property of elements through display on CSS -->
	<!-- <span>INLINE</span> -->
	<span id="span-3">A span can be displayed as a block</span>
	<span id="span-4">A span can be displayed as a block</span>

	<h3>DISPLAY: Inline-block</h3>

	<span id="span-5">Span-Inline-block-1</span>
	<span id="span-6">Span-Inline-block-2</span>



	<!-- DISPLAY: none  -- no output -->
	<div id="div-5">Divs are block by default.</div>
	<div id="div-6">Divs are block by default.</div>
	<span id="span-7">This is the fifth span.</span>


	<hr>

	<h3>CSS Units</h3>
	<h4>px vs %</h4>

	<div class="box fifty-percent">50%</div>
	<div class="box one-hundred-pixels">100px</div>

	<br>

	<div class="parent">
		<div class="box fifty-percent">50%</div>
		<div class="box one-hundred-pixels">100px</div>
	</div>


	<!-- vw --  viewport's width -->
	<!-- vh  -- viewport's height  -->
	<div class="box2 fifty-vw">50vw</div>
	<div class="box2 twenty-five-vh">25vh</div>

	<div class="parent">
		<div class="box2 fifty-vw">50vw</div>
		<div class="box2 twenty-five-vh">25vh</div>
	</div>


	<!-- em --- element    ,   rem --- root element -->
	<!-- 1rem && 1em = 16px -->

	<div>16px</div>
	<div class="one-rem">1rem</div>
	<div class="one-em">1em</div>
	<div class="two-rem">2rem</div>
	<div class="two-em">2em</div>

	<div class="parent">
		<div class="one-rem">1rem</div>
		<div class="one-em">1em</div>
		<div class="two-rem">2rem</div>
		<div class="two-em">2em</div>
	</div>

	<hr>

	<section class="background">
		<div class="container-bg">
			<h3 class="bg-title">CSS Background Property</h3>	
		</div>
		

	</section>


</body>
</html>